[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Buttons' (#lcl)

# TCustomSpeedButton.SetMargin

Sets the value for the Margin property.

## Declaration

Source position: buttons.pp line 390

`protected procedure TCustomSpeedButton.SetMargin(`
`const Value: Integer`
`);`

## Arguments

`Value` |  | New value for the property.

## Description

SetMargin sets the size of the Margin used on the control. Calls InvalidatePreferredSize to update control flags which cause the preferred height and width for the control to be recalculated using the new Margin value. Calls adjust size to perform smart (delayed) resizing when needed. Calls Invalidate to redraw the control.

## Version info

Modified in LCL version 4.0 to recalculate the size and redisplay the control when Margin is changed.

## See also

TCustomSpeedButton.Margin |  | Space between the glyph bitmap and the aligned edge in the button layout.
TControl.InvalidatePreferredSize |  | Marks the preferred size as invalid for this control and all parents (implies that we will look for another).
TControl.AdjustSize |  | Smart way to DoAutoSize.
TControl.Invalidate |  | Causes a delayed Repaint of the control by marking its visible area of the control as invalid.